/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.crop.model;

import java.awt.Color;
import java.io.Serializable;
import nl.cloudfarming.client.model.EnterpriseIdProvider;
import nl.cloudfarming.client.model.ItemIdType;

/**
 * Model object representing a variety or race of a crop
 * @author Merijn Zengers
 */
public class Variety extends CropBean implements Serializable {
        
    private static final Color DEFAULT_COLOR = Color.CYAN;
    private static final ItemIdType ITEM_ID_TYPE = ItemIdType.VTY;

    public Variety(EnterpriseIdProvider eip) {
        super(eip, ITEM_ID_TYPE);
    }
    
    public Variety(EnterpriseIdProvider eip, String name) {
        this(eip, name, null);
    }
    
    public Variety(EnterpriseIdProvider eip, String name, String source) {
        super(eip, ITEM_ID_TYPE, name, source);
        setColor(DEFAULT_COLOR);
    }
    
    public Variety(Variety other) {
        super(other);
    }
}
