/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.crop.model.event;

import nl.cloudfarming.eventbus.GuiEvent;
import nl.cloudfarming.eventbus.GuiEventKey;

/**
 * Event to be thrown when changes in the CropProvider occur
 * @author Merijn Zengers
 */
public class CropProviderEvent implements GuiEvent<String> {

    private final String cropProviderId;
    private final CropProviderEventKey key;

    /**
     * Constructor, create a Message-event.
     *
     * @param message The message for which the event is triggered
     * @param key The event key. Which action has been done to trigger this
     * event.
     */
    public CropProviderEvent(String cropProviderId, CropProviderEventKey key) {
        this.cropProviderId = cropProviderId;
        this.key = key;
    }

    @Override
    public GuiEventKey getKey() {
        return key;
    }

    @Override
    public String getContent() {
        return cropProviderId;
    }
}
