/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.crop.model.event;

import nl.cloudfarming.eventbus.BaseGuiEventProducer;
import nl.cloudfarming.eventbus.GuiEventKey;
import nl.cloudfarming.eventbus.GuiEventProducer;

/**
 * Different events that can occur in the CropProvider
 * @author Merijn Zengers
 */
public enum CropProviderEventKey implements GuiEventKey{
    /**
     * A CropProvider has updated
     */
    UPDATED;  
    
    @Override
    public String getKey() {
        return toString();
    }
    
    /**
     * Static method to get a producer for this kind of events.
     * 
     * @return 
     */
    public static GuiEventProducer getProducer(){
        return new CropProviderEventProducer();
    }

    /**
     * The producer for this kind of events
     */
    public static class CropProviderEventProducer extends BaseGuiEventProducer {

        public CropProviderEventProducer() {
            super(CropProviderEventKey.class);
        }
    }    
}
